package com.chelvc.cloud.maintain.controller;

import com.chelvc.cloud.vehicle.api.dto.RegionDTO;
import com.chelvc.cloud.vehicle.api.service.CommonService;
import lombok.RequiredArgsConstructor;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 公共口
 */
@Validated
@RequiredArgsConstructor
@RestController
@RequestMapping("/common")
public class CommonController {

    @DubboReference
    CommonService commonService;

    /**
     * 根据上级id查询省市区
     * @param pid 不传默认查询第一级
     * @author igl
     * @date 2024/2/26 16:12
     */
    @GetMapping("/region/query")
    public List<RegionDTO> getRegionByPid(Integer pid) {
        return this.commonService.getRegionByPid(pid);
    }
}
