package com.chelvc.cloud.maintain.controller;

import com.chelvc.cloud.vehicle.api.dto.HelpCategoryDTO;
import com.chelvc.cloud.vehicle.api.dto.MerchantDTO;
import com.chelvc.cloud.vehicle.api.param.HelpCategoryModifyParam;
import com.chelvc.cloud.vehicle.api.service.HotMerchantService;
import com.chelvc.cloud.vehicle.api.service.IHelpCategoryService;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.constraints.Min;
import java.util.List;

/**
 * 客服中心接口
 *
 * @author liude
 * @date 2024/3/4
 */
@Validated
@RestController
@ResponseWrapping
public class HelpCategoryController {
    @DubboReference
    private IHelpCategoryService categoryService;
    /**
     * 客服中心问题查询
     *
     * @param
     */
    @PostMapping("/problem/list")
    public List<HelpCategoryDTO> selectHelpCategoryList(HelpCategoryModifyParam helpCategory) {
       return this.categoryService.selectHelpCategoryList(helpCategory);
    }


}
